%global momorel 1

Summary: A maildir indexer and searcher
Name: mairix
Version: 0.15
Release: %{momorel}m%{?dist}
URL: http://www.rc0.org.uk/mairix/
Source: http://www.rpcurnow.force9.co.uk/mairix/mairix-%{version}.tar.gz
NoSource: 0
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: texinfo
Requires: info

%description
mairix is a tool for indexing email messages stored in maildir format folders
and performing fast searches on the resulting index.  The output is a new
maildir folder containing symbolic links to the matched messages.

%prep
%setup -q

%build
CC=gcc CFLAGS="%{optflags}" ./configure \
--prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir}
%make

# "make docs" makes txt, info, html, dvi and pdf
make mairix.txt prefix=%{_prefix}
make mairix.info prefix=%{_prefix}
make mairix.html prefix=%{_prefix}
chmod 644 mairix.txt mairix.html

cat <<EOF > dot.mairixrc
# ~/.mairixrc
base=/home/user
maildir=Maildir...
#mh=Mail/mhdir...
#mbox=Mail/inbox:Mail/outbox
mfolder=Mail/mairix
mformat=maildir
database=/home/user/.mairix_database
EOF

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_infodir}
install -m 644 mairix.info* %{buildroot}%{_infodir}
install -d -m 755 %{buildroot}%{_datadir}/config-sample/mairix
install -m 644 dot.mairixrc \
%{buildroot}%{_datadir}/config-sample/mairix/dot.mairixrc

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/mairix
%{_infodir}/mairix.info*
%doc ACKNOWLEDGEMENTS
%doc README
%doc mairix.txt
%doc mairix.html
%doc dotmairixrc.eg
%doc COPYING
%doc NEWS
%{_datadir}/config-sample/mairix

%post
if [ "$1" = 1 ]; then
/sbin/install-info %{_infodir}/mairix.info %{_infodir}/dir
fi

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --delete mairix.info %{_infodir}/dir
fi

%changelog
* Wed Dec 15 2004 TAKAHASHI Tamotsu <tamo>
- (0.15-1m)

* Sat Feb 28 2004 TAKAHASHI Tamotsu <tamo>
- (0.14.1-2m)
- global momorel

* Mon Feb 23 2004 TAKAHASHI Tamotsu <tamo>
- (0.14.1-1m)
- major feature enhancement
 Note: database format has been changed
 Note: mairixrc syntax has been changed
- update URL
- Requires: info
- configure before make
- chmod docs
- add dot.mairixrc
- make install with DESTDIR

* Thu Jul  3 2003 TAKAHASHI Tamotsu <tamo>
- (0.11-1m)
- first import to momonga
- mairix.info.* -> mairix.info
- add COPYING and NEWS

* Sat Jan 18 2003 TAKAHASHI Tamotsu
- (0.10-0m)

* Sat Jan 11 2003 TAKAHASHI Tamotsu
- (0.9-0m)

* Mon Nov 25 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.7-0m)
- momonganized from mairix.spec.sample written by Richard P. Curnow
